/*  ais.h -- Header file for AIS C compilations
 *  copyright (c)
 *	Daniel Steinberg
 *	September, 1983
 *
 */
#ifndef AIS
#define AIS

#define UNITSIZE sizeof(int *)
#define ALIGN(a) (((a)+UNITSIZE-1) / UNITSIZE)

#define MIN(a,b) ((a)<(b) ? (a) : (b))
#define MAX(a,b) ((a)>(b) ? (a) : (b))
#define sign(a)  ((a)<0   ? -1 : 1)


#ifndef WORDSIZE
#define WORDSIZE 32
#endif

/* define machine dependent data types */
#if WORDSIZE == 16
typedef char B8;
typedef int B16;
typedef long B32;
typedef unsigned char UB8;
typedef unsigned int UB16;
typedef unsigned long UB32;
#endif

#if WORDSIZE == 32
typedef char B8;
typedef short B16;
typedef int B32;
typedef unsigned char UB8;
typedef unsigned short UB16;
typedef unsigned int UB32;
#endif


#define BOOLEAN int
#define TRUE 1
#define FALSE 0
#define NULL 0

/* define relational operators */
#define EQ ==
#define NE !=
#define GT >
#define LT <
#define GE >=
#define LE <=
#define NOT !
#define AND &&
#define OR ||


#endif
