
/*
 * viossize.c: version 3.2 of 6/4/85
 *
 * viossize.c -- C source to create RAMviossize.m
 * copyright (c) 1984  American Information Systems Corporation
 *
 *	Daniel Steinberg	July, 1984
 *
 *	This file is compiled to produce assembly language output that
 *	is editted (thru abs.sed) to become RAMviossize.m in which the
 *	initialized values below are turned into assembler .set directives.
 *	RAMviossize.m is assembled and linked with the RAM-Monitor/VIOS
 *	to define the end of the Absolute-Addressed RAM area.
 */
#include "vinc/viosconf.h"
#include "vinc/hostflags.h"

/* Define macros to make symbol definitions */

#define Makeval(x,v) unsigned A_/**/x = (unsigned)(v);


/* Define some special locations and values */

#define ABSRAMSTART (((unsigned) A_monramstart) & (~(A_Grain-1)))
#define ABSRAMGRAIN (((unsigned) HOSTEND - ABSRAMSTART + A_Grain - 1) / A_Grain)
#define ABSRAMSIZE (ABSRAMGRAIN * A_Grain)

Makeval(ramstart, ABSRAMSTART)
Makeval(ramend, (ABSRAMSTART + ABSRAMSIZE))
Makeval(ramgrains, ABSRAMGRAIN)
Makeval(ramsize, ABSRAMSIZE)


